%global bumpver 1

Name:           rare
Version:        1.11.3
Release:        %{bumpver}

Summary:        Open source alternative for Epic Games Launcher, using Legendary
License:        GPL-3.0-only
URL:            https://github.com/RareDevs/Rare

Source0:        %{url}/archive/refs/tags/%{version}.tar.gz



BuildRequires: python3-devel
BuildRequires:  pkgconfig(python)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(wheel)

Requires:       python3dist(pypresence)
Requires:       python3dist(requests)
Requires:       python3dist(pillow)
Requires:       python3dist(qtawesome)
Requires:       python3dist(psutil)
Requires:       python3dist(typing-extensions)
Requires:       python3dist(vdf)
Requires:       pyside6
Requires:       legendary

%description
%{summary}.

%prep
%autosetup -n Rare-%{version}
sed -i '/PySide6-Essentials >= 6\.8\.1/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

install -Dm644 "rare/resources/images/Rare.png" "%{buildroot}/usr/share/pixmaps/rare.png"
install -Dm644 "misc/rare.desktop" "%{buildroot}/usr/share/applications/rare.desktop"

%files -f %{pyproject_files}
%{_bindir}/rare
%{_datadir}/applications/rare.desktop
%{_datadir}/pixmaps/rare.png

%changelog
%autochangelog